class AR::Events::HitFailure < AR::Events::Event
  attr_participant :hitter, :hitee
  attr_accessor :technique

  def initialize params
    super params
    self.technique = params[:technique]
  end 

  #story told by default if participants don't offer any story
  def default_story
    "#{hitter.name.capitalize} failed to hit #{hitee.name}."
  end

end
